//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop
#include "qsnewsver.h"
#include "NewsManDlgs.h"
#include "NewsProfDlgs.h"
#include "NewsGrpDlgs.h"
#include "NewsNewDlgs.h"
#include "NewsPasDlgs.h"
#include "global.h"

USERES("QSnews\QSnews2.res");
USEUNIT("QSnews\QSnewsVer.cpp");
USEFORM("QSnews\NewsMain.cpp", QSNewsWin);
USEFORM("QSnews\NewsManDlgs.cpp", NewsManDlg);
USEFORM("QSnews\NewsProfDlgs.cpp", NewsProfDlg);
USEFORM("QSnews\NewsGrpDlgs.cpp", NewsGrpDlg);
USEFORM("QSnews\NewsPasDlgs.cpp", NewsPasDlg);
USEFORM("QSnews\NewsNewDlgs.cpp", NewsNewDlg);
USEFORM("QSshared\MsgBoxDlgs.cpp", MsgBoxDialog);
USEFORM("QSshared\View.cpp", ViewDlg);
USEUNIT("QSshared\FileMan.cpp");
USEUNIT("QSshared\HeadMan.cpp");
USEUNIT("QSshared\Mixmaster.cpp");
USEUNIT("QSshared\Global.cpp");
//---------------------------------------------------------------------------
extern "C" __declspec(dllexport) void __fastcall NewsInit(TForm *MainForm,
   TApplication *MainApp, TScreen *MainScrn);
extern "C" __declspec(dllexport) void __fastcall NewsShutDown();
extern "C" __declspec(dllexport) bool __fastcall RunNewsManager(TForm *Owner, bool &GetNewsNow);
extern "C" __declspec(dllexport) void __fastcall GetNewsMail(TForm *MainForm,bool UseDialog);
extern "C" __declspec(dllexport) char*__fastcall GetNewsVersion();
extern "C" __declspec(dllexport) char*__fastcall GetNewsName();
//---------------------------------------------------------------------------
TForm *MainForm=NULL;
TApplication *orgApp=NULL;
TScreen *orgScr=NULL;
char *retbuf=NULL;
//---------------------------------------------------------------------------
int WINAPI DllEntryPoint(HINSTANCE hinst, unsigned long reason, void*)
{
   return 1;
}
//---------------------------------------------------------------------------
void __fastcall NewsInit(TForm *MainForm, TApplication *MainApp, TScreen *MainScrn)
{
   orgApp = Application; Application = MainApp;
   orgScr = Screen; Screen = MainScrn;
}
//---------------------------------------------------------------------------
void __fastcall NewsShutDown()
{
   if (orgApp) Application = orgApp;
   if (orgScr) Screen = orgScr;
}
//---------------------------------------------------------------------------
bool __fastcall RunNewsManager(TForm *Owner, bool &Getnewsnow)
{
   bool mod=false;
   TNewsProfileList *Profiles = new TNewsProfileList(AppDat);
   NewsManDlg = new TNewsManDlg(Owner,Profiles);
   NewsManDlg->ShowModal();
   if (NewsManDlg->ModalResult==mrOk)
   {
      Getnewsnow = NewsManDlg->getnewsnow;
      mod = NewsManDlg->modified;
   }
   delete NewsManDlg;
   if (mod) Profiles->Save();
   delete Profiles;
   return mod;
}
//---------------------------------------------------------------------------
void __fastcall GetNewsMail(TForm *MainForm, bool UseDialog)
{
   /*Application->Handle = AppHandle;
   if (!UseDialog)
   {
      TStringList *accts = new TStringList();
      accts->SetText((char*)MainForm->Perform(WM_DATREQUEST,GetDatData,(LPARAM)PopAccounts.c_str()));
      // use just the PopRetrDlg--remove unchecked from accts
      int i=0; while (i<accts->Count)
      {
         if (accts->Strings[i].LowerCase().Pos("checked=1")==0)
             accts->Delete(i); else i++;
      }
      if (accts->Count)
      {
         PopRetrieveMail(accts,MainForm,MainForm);
         delete accts;
         return;
      }
      delete accts;
   }
   // no active accounts, fall through if get here,
   PopAcctDlg = new TPopAcctDlg(MainForm);
   CenterDialog(PopAcctDlg,MainForm);
   PopAcctDlg->accts->SetText((char*)MainForm->Perform(WM_DATREQUEST,GetDatData,(LPARAM)PopAccounts.c_str()));
   PopAcctDlg->SyncAccts();
   PopAcctDlg->ShowModal();
   if (PopAcctDlg->ModalResult!=mrCancel)
   {
      // send revised account list back to main app
      PopAcctDlg->accts->Insert(0,PopAccounts);
      MainForm->Perform(WM_DATREQUEST,PutDatData,(LPARAM)PopAcctDlg->accts->Text.c_str());
   }
   delete PopAcctDlg;*/
}
//---------------------------------------------------------------------------
char* __fastcall GetNewsName()
{
   return AppName.c_str();
}
//---------------------------------------------------------------------------
char* __fastcall GetNewsVersion()
{
   return ReleaseVer.c_str();
}
//---------------------------------------------------------------------------
